Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043467
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Sessionsmajoralways2020-03-10 13:512020-03-25 12:14
ReportermaiteView Statuspublic 
Assigned ToRetail 
PriorityurgentResolutionopenFixed in Version
StatusnewFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043467: Store closed but till opened in case login is done when being offline

DescriptionIn case your store is closed and you do a login offline, the till will be opened but the store will remain closed

Update: 24-03-2020
After some verifications, this behavior is correct and it is the expected behavior. Web POS allows to login offline using sessions and in that circumstance terminal cannot verify is store is opened of not, so the till is opened offline. Once this terminal recover the connection, the till creation is synchronized and it can happend having the store closed.

When above situation happen, a closed store can have open tills. This situation does not allow to open stores from backend (Error: there are open tills). The error is correct but ERP is not allowing to close tills since the button to do it is not shown when store is closed.

See proposed solution
Steps To Reproduce1. Log in to the terminal, create an order and do a cashup
2. Access backoffice and run "Close Store" process (in case needed close tills still opened)
3. Access to developers tool and set Network= offline
4. Log in to the terminal. You will be carried to open till window and continue the process to open the till until Good Job is received and you are completely logged in the terminal
5. Access backoffice to Terminals and Till status and realize that Terminal status is Closed and Open Tills is NO (because we are still offline)
6. Access to developers tool and set Network= online
7. Force going to online in the terminal
8. Access backoffice to Terminals and Till status and realize that Terminal status is Closed and Open Tills is YES (because we are still offline)

NOTE: The same problem is also reproducible in case the terminal has NOT defined an active payment of type cash and set as InitialCountCash. In that case instead of navigating to "logincountcash" screen, the method "AvoidCountCashAndSendOpenTill" is directly executed. So the fix should be applied in both flows
Proposed SolutionIt is important to understand the situation before create the fix.

Terminals and till windows should show the button "Close till" when there are opened tills even in the store is closed.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0118495)
hgbot (developer)
2020-03-11 09:22

Repository: erp/pmods/org.openbravo.retail.sessions
Changeset: 3064857a1d679bd198b8978030b90de1ec44a02a
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Mar 11 09:21:27 2020 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sessions/rev/3064857a1d679bd198b8978030b90de1ec44a02a [^]

related to ISSUE 43467: Add log to the opentill process

---
M web/org.openbravo.retail.sessions/js/components/loginhook.js
M web/org.openbravo.retail.sessions/js/countcash/countcash-model.js
---

- Issue History
Date Modified Username Field Change
2020-03-10 13:51 maite New Issue
2020-03-10 13:51 maite Assigned To => Retail
2020-03-10 13:51 maite Triggers an Emergency Pack => No
2020-03-10 13:52 maite Issue Monitored: networkb
2020-03-11 09:22 hgbot Checkin
2020-03-11 09:22 hgbot Note Added: 0118495
2020-03-11 14:48 maite Steps to Reproduce Updated View Revisions
2020-03-24 12:20 guilleaer Description Updated View Revisions
2020-03-24 12:20 guilleaer Proposed Solution updated
2020-03-25 12:14 guilleaer Description Updated View Revisions


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker